/*
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: Kadence Theme is a lightweight yet full featured WordPress theme for creating beautiful fast loading and accessible websites, easier than ever. It features an easy to use drag and drop header and footer builder to build any type of header in minutes. It features a full library of gorgeous starter templates that are easy to modify with our intelligent global font and color controls. With extensive integration with the most popular 3rd party plugins, you can quickly build impressive ecommerce websites, course websites, business websites, and more.
Tags: translation-ready,two-columns,right-sidebar,left-sidebar,footer-widgets,blog,custom-logo,custom-background,custom-menu,rtl-language-support,editor-style,threaded-comments,custom-colors,featured-images,wide-blocks,full-width-template,theme-options,e-commerce
Version: 1.1.51.1710853990
Updated: 2024-03-19 23:13:10

*/
.single-content h1.elementor-heading-title, 
.single-content h2.elementor-heading-title, 
.single-content h3.elementor-heading-title, 
.single-content h4.elementor-heading-title, 
.single-content h5.elementor-heading-title, 
.single-content h6.elementor-heading-title,
.hk-hero h1 {
  margin-top: 0;
  margin-bottom: 0;
}
b, strong {
    font-weight: 600;
}
.elementor-select-wrapper .select-caret-down-wrapper svg {
	height: 18px;
}
.elementor-field-group .elementor-field-textual:focus {
    box-shadow: none !important;
    outline: 0 !important;
}
.elementor-element.mega-menu--list .elementor-icon-list-items .elementor-icon-list-item {
  flex-direction: row-reverse;
  width: calc(25% - 0px);
}
.elementor-element.mega-menu--list .elementor-icon-list-items .elementor-icon-list-item>a {
  flex-direction: row-reverse;
  padding: 10px;
}
.elementor-element.mega-menu--list .elementor-icon-list-items .elementor-icon-list-item .elementor-icon-list-icon svg.e-font-icon-svg {
  margin: 0px;
  margin-left: 15px;
}
.elementor-widget-n-accordion .e-n-accordion-item-title-header {
    flex-grow: 1;
}
.elementor-widget-loop-carousel .swiper.elementor-loop-container {
    width: calc(100% - 55px);
}
.elementor-widget-loop-carousel .swiper.elementor-loop-container~.elementor-swiper-button {
    width: 50px;
    height: 50px;
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 99px;
    box-shadow: 0px 0px 0px 5px var(--e-global-color-f4bafa1);
}
.elementor-widget-gallery.filter-aside > .elementor-widget-container {
    display: flex;
	align-items: flex-start;
}
.elementor-widget-gallery.filter-aside .elementor-gallery__titles-container {
    flex-direction: column;
    width: 100%;
    max-width: 300px;
    padding-right: 35px;
}
.elementor-widget-gallery.filter-aside .elementor-gallery__container {
    width: 100%;
    flex-grow: 1;
}
.elementor-widget-gallery .elementor-gallery__titles-container .elementor-gallery-title {
    background-color: var(--e-global-color-text);
    border-radius: 6px;
	padding: 10px 15px 8px;
}
.elementor-widget-gallery .elementor-gallery__titles-container .elementor-gallery-title:hover,
.elementor-widget-gallery .elementor-gallery__titles-container .elementor-gallery-title.elementor-item-active {
    background-color: var(--e-global-color-primary);
}
.elementor-widget-gallery.filter-aside .elementor-gallery__titles-container .elementor-gallery-title {	
    margin-right: 0px !important;
	margin-bottom: var(--space-between);
}
@media screen and (max-width: 1024px) {
.elementor-widget-gallery.filter-aside > .elementor-widget-container {
    flex-direction: column;
}
.elementor-widget-gallery.filter-aside .elementor-gallery__titles-container {
    flex-direction: row;
    max-width: 100%;
}
.elementor-widget-gallery.filter-aside .elementor-gallery__titles-container .elementor-gallery-title {
    margin-right: 5px !important;
}
}
@media screen and (max-width: 767px) {
.elementor-widget-gallery .elementor-gallery__titles-container .elementor-gallery-title {
    padding: 8px 14px 7px;
}
}
	
.menu-item-btn.elementor-widget-button .elementor-button .elementor-button-content-wrapper {
    align-items: center;
	justify-content: space-between;
}
.menu-item-btn.elementor-widget-button .elementor-button .elementor-button-content-wrapper .elementor-button-text {
    text-align: left;
}
.menu-item-btn.elementor-widget-button .elementor-button .elementor-button-content-wrapper svg {
    width: 10px;
    margin-right: 10px;
    transition: all ease 300ms;
}	
.menu-item-btn.elementor-widget-button .elementor-button:hover .elementor-button-content-wrapper svg {
    margin-right: 0px;
}

/* EPL Listing Search */
.epl-search-forms-wrapper.epl-search-default {
    max-width: 100%;
}
.kh-epl-search-form {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    gap: 30px;
}
.epl-search-form .epl-search-label {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
    line-height: normal;
    margin-bottom: 5px;
    min-height: 22px;
}
.kh-epl-search-form > .epl-search-row, .kh-epl-search-form > .epl-search-submit-row, .kh-epl-search-form > .price_range_main {
    width: calc(100%* 1 / 4 - 23px);
    margin: 0px;
}
.kh-epl-search-form > .price_range_main {
    flex-grow: 1;
    padding-left: 11px;
    padding-right: 11px;
}
.epl-search-form .in-field {
    padding: 8px 10px;
    box-shadow: none;
}
.epl-search-form .in-field:focus {
    border-color: var(--e-global-color-accent);
}
.kh-epl-search-form > .price_range_main label {
    margin-left: -11px;
}
.epl-search-form .epl-search-submit-row {
    align-self: flex-end;
}
.epl-search-form .ui-slider-horizontal .ui-slider-range {
    background-color: var(--e-global-color-text);
}
.epl-search-form .ui-slider-horizontal {
    background-color: #dddddd;
}
.epl-search-form .ui-slider-horizontal .ui-slider-handle {
    border-color: var(--e-global-color-text);
    border-radius: 6px;
}
.kh-epl-search-form > .price_range_main input[type="text"] {
    box-shadow: none;
    pointer-events: auto;
    color: var(--e-global-color-text);
}
.epl-search-form .epl-search-submit-row .epl-search-btn {
    border-radius: 8px;
    padding: 8px 15px;
    letter-spacing: 1px;
    background-color: var(--e-global-color-accent);    
    color: var(--e-global-color-text);
}
.epl-search-form .epl-search-submit-row .epl-search-btn:hover {
    background-color: var(--e-global-color-text);
    color: var(--global-palette9);
}

/* Listing Items/property */
.custom-king-property {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}
.property-item-list {
    width: calc(100%* 1 / 3 - 20px);
}
.single-property-item-box {
    position: relative;
    display: flex;
    flex-direction: column;
}
.single-property-item {
    display: flex;
    flex-direction: column;
    gap: 20px;
    position: relative;
    overflow: hidden;
    color: var(--e-global-color-text);
	background: #F4F4F4;
}
.single-property-item .single-property--image > img {
    height: 270px;
    object-fit: cover;
    object-position: center;
}
.single-property-item .btn--favourite {
    position: absolute;
    top: 10px;
    left: 10px;
    padding: 0px;
    background-color: var(--global-palette9);
    line-height: normal;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    border-radius: 6px;
    color: rgba(0, 0, 0, 0.3);
}
.single-property--label {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 8px 12px 8px;
    font-size: 12px;
    text-transform: uppercase;
    background-color: var(--global-palette9);
    color: var(--e-global-color-text);
    border-radius: 15px;
    line-height: normal;
}
.single-property--label+.single-property--label {
    top: 45px;
}
.single-property--image {
    overflow: hidden;
    border-radius: 0px;
}
.single-property--content {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.single-property--title {
    display: flex;
    flex-direction: column-reverse;
    gap: 20px;
	padding: 0px 20px;
}
.single-property--title h3 {
    font-weight: normal;
    font-size: 22px;
}
.single-property--dimension {
    display: flex;
    gap: 0px;
}
.single-property--dimension > span {
   font-size: 14px;
    /* border: 1px solid var(--e-global-color-text); */
    line-height: normal;
    padding: 10px 20px 10px;
    /* border-radius: 23px; */
    background: #e4e2e1;
    width: 100%;
}
.single-property--features {
    display: flex;
    gap: 15px;
}
.single-property--feature {
    display: flex;
    align-items: center;
    line-height: normal;
}
.single-property--features .icon {
    width: 18px;
    height: 18px;
    margin-left: 8px;
}
.single-property-feature-price {
    display: flex;
    justify-content: space-between;
	padding: 0px 20px;
}

      .custom-accordion-container {
        display: flex;
        gap: 80px;
		  align-items: flex-start;
      }
      .custom-accordion-container .accordion-list {
        width: 50%;
      }
     .custom-accordion-container .accordion-item {
    	cursor: pointer;
    	padding: 18px 0px 5px;
    	border-bottom: 2px solid #fff;
    	color: #fff;
    	font-size: 21px;
    	font-family: "korolev", Sans-serif;
    	font-weight: 500;
		}
      .custom-accordion-container .accordion-item.active {
        color: #cddc39;
      }
	.custom-accordion-container .accordion-item-title {
    	cursor: pointer;
    	display: flex;
    	flex-direction: row;
		justify-content: space-between;
	}
	.custom-accordion-container .accordion-item-title span svg{
		width: 22px;
        fill: #fff;		
	}      
	.custom-accordion-container .accordion-item-description {
        display: none;
        color: #aaa;
        font-size: 14px;
        margin-bottom: 15px;
		transition: transform 0.3s ease;
      }
      .custom-accordion-container .accordion-item.active .accordion-item-description {
        display: block;
		  
      }
      .custom-accordion-container .accordion-display {
        width: 50%;
		background: #fff;
      }
      .custom-accordion-container .accordion-display img {
        width: 100%;
        height: 450px;
    	object-fit: cover;
      }
	.custom-accordion-container .accordion-display-content{
	    padding: 10px 30px 40px;	
		}
     .custom-accordion-container .accordion-display h2 {
        margin-top: 22px;
    	margin-bottom: 18px;
    	font-family: "korolev", Sans-serif;
    	font-size: 25px;
    	font-weight: 500;
      }
     .custom-accordion-container .accordion-display p {
     	font-family: "korolev", Sans-serif;
		font-size: 20px;
    	font-weight: 500;
    	color: #000;
      }
	.custom-accordion-container .accordion-item-title span svg {
             transition: transform 0.3s ease;
			 transform: rotate(-90deg);
      }
      .custom-accordion-container .accordion-item.active .accordion-item-title span svg {
        transform: rotate(0deg);
		  fill: #cddc39;
      }

@media screen and (max-width: 1024px) {
    .property-item-list {
        width: calc(100%* 1 / 2 - 20px);
    }
    .kh-epl-search-form > .epl-search-row,
    .kh-epl-search-form > .epl-search-submit-row,
    .kh-epl-search-form > .price_range_main {
        width: calc(100%* 1 / 2 - 23px);
        margin: 0px;
    }
}
@media screen and (max-width: 767px) {
    .property-item-list {
        width: calc(100%* 1 / 1 - 0px);
    }
    .kh-epl-search-form > .epl-search-row,
    .kh-epl-search-form > .epl-search-submit-row,
    .kh-epl-search-form > .price_range_main {
        width: calc(100%* 1 / 1 - 0px);
        margin: 0px;
    }
    .kh-epl-search-form {
        gap: 15px;
    }
}

/* Mobile Menu */

@media screen and (max-width: 1024px) {
.elementor-widget-n-menu .e-n-menu-toggle {
	transition: all ease 300ms;
}
/*.elementor.elementor .elementor-widget-n-menu.e-n-menu-tablet .e-n-menu-toggle[aria-expanded="true"] {
    position: fixed;
    top: 15px;
    right: 15px;
    z-index: 9991;
}*/
.elementor-widget-n-menu.e-n-menu-tablet .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper {
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 999;
    background-color: #fff;
    /*padding: 30px;*/
	height: 100vh;
	padding-top: 50px;
}
/*.elementor-widget-n-menu.e-n-menu-tablet .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-title-container{
	padding: 0px 20px;	
}*/
	
/*.elementor-widget-n-menu.e-n-menu-tablet .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-content>.e-child {
    background-color: var(--e-global-color-f4bafa1);
}
.elementor.elementor .elementor-widget-n-menu.e-n-menu-tablet .e-n-menu-toggle .e-n-menu-toggle-icon.e-close .e-eicon-close {
    width: 22px;
    height: auto;
}*/
	
.cust-menu-css .e-n-menu-title {
        border-bottom: 1px solid #D9D9D9 !important;
        margin: 10px 30px !important;
        padding-bottom: 18px !important;
}
	
}


.action__favourites {
    display: flex;
    align-items: center;
    background-color: #383838;
    color: var(--e-global-color-kadence9);
    font-size: 14px;
    padding: 8px 15px;
    gap: 8px;
  }
  .action__favourites > a {
    font-size: inherit;
    color: currentColor;
  }
  .action__favourites .btn__icon {
    font-size: inherit;
    color: currentColor;
    display: flex;
    align-items: center;
    gap: 5px;
  }
  .action__favourites .btn__icon svg {
    width: auto;
    height: 14px;
    color: currentColor;
    fill: currentColor;
  }

.kh-awards_accolades {
    display: flex;
    flex-direction: column
}

.year_awards {
    display: flex;
    gap: 60px
}

.year_awards>p {
    margin-bottom: 0px!important;
    padding-bottom: 0px!important
}

.year_awards .kh-years {
    width: 100%;
    max-width: 80px;
    text-align: center
}

.year_awards.headings .kh-years,.year_awards.headings .kh-awards {
    font-weight: 700;
    margin-bottom: 10px!important
}
@media screen and (max-width: 767px) {
    .year_awards {
        gap:20px
    }

    .year_awards .kh-years {
        max-width: 45px
    }
	.single-property--dimension {
		/*flex-wrap: wrap;*/
	}
}

.gform-theme--foundation .gform_body > .gform_fields {
    --gf-form-gap-y: 20px;
}
.gform-theme.gform-theme--foundation > .gform_heading {
    display: none;
}
.gform-theme--foundation .gform_body > .gform_fields .gfield input:not([type="checkbox"]),
.gform-theme--foundation .gform_body > .gform_fields .gfield select {
    background-color: transparent;
    border: none;
	font-size: 16px;
    box-shadow: none;
    border-bottom: 1px solid var(--e-global-color-primary);
    border-radius: 0px;
    min-height: 48px;
}
.gform-theme--foundation .gform_body > .gform_fields .gfield textarea {
    background-color: transparent;
    border: none;
	font-size: 16px;
    box-shadow: none;
    border-bottom: 1px solid var(--e-global-color-primary);
    border-radius: 0px;
}
.gform-theme--foundation .gform_body > .gform_fields .gfield input[type="checkbox"] {
    border-color: var(--e-global-color-primary);
    box-shadow: none;
	font-size: 16px;
}
.gform-theme--foundation .gform_body > .gform_fields .gfield input[type="checkbox"]::before {
    color: var(--e-global-color-primary);
}
.gform-theme.gform-theme--foundation .gform_footer .gform_button {
    box-shadow: none !important;
    background-color: var(--e-global-color-primary) !important;
    padding: 15px 35px !important;
    font-size: 16px !important;
    min-width: 160px !important;
}
.elementor-slideshow--ui-hidden .elementor-slideshow__footer,
.elementor-lightbox .swiper-horizontal .elementor-slideshow__footer {
	display: none !important;
}

/* EPL Search New Style */
.epl-search-toggle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 0px 5px;
    border-bottom: 1px solid var(--e-global-color-accent);
    margin-bottom: 25px;
    font-size: 24px;
}
.epl-search-toggle .toggle--icon {
    color: var(--e-global-color-accent);
    cursor: pointer;
}
.epl-search-toggle .toggle--icon svg {
    height: auto;
    width: 24px;
}
.epl-search--content .epl-search-row .kh-search-icon-box-f {
    display: none;
}
.epl-search--content .epl-search-row .epl-search-label {
    font-size: 18px;
    margin-bottom: 8px;
}
.epl-search--content .epl-search-row .in-field {
    background-color: #f4f4f4;
    border-color: #f4f4f4;
    background-image: url("/wp-content/uploads/2024/08/down-arrow.svg");
}
.epl-search--content .kh-epl-search-form > .price_range_main label {
    font-size: 18px;
}
.epl-search--content .kh-epl-search-form > .price_range_main input[type="text"] {
    font-size: 14px;
}
.epl-search--content.epl-search-form .ui-slider-horizontal {
    background-color: #f4f4f4;
    margin-top: 15px;
}
.epl-search-form .ui-slider-horizontal .ui-slider-range {
    background-color: var(--e-global-color-accent);
}
.epl-search--content.epl-search-form .ui-slider-horizontal .ui-slider-handle {
    border-color: var(--e-global-color-accent);
    border-radius: 99px;
    width: 24px;
    height: 24px;
    top: -10px;
}
/* Popup container */
.admin-bar .listing-popup {
    height: calc(100vh - 32px);
    top: 32px;
}
.listing-popup {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #fff;
    padding-top: 0px;
}

/* Popup Content */
.listing-popup-content {
    background-color: #fff;
    margin: 0px;
    padding: 30px;
    width: 100%;
    max-width: 1000%;
    position: relative;
}
#property-gallery_listing .floorplan-img--main img {
    height: calc(100vh - 92px);
    object-fit: contain;
}

/* The Close Button */
.listing-close-popup {
    position: absolute;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    right: 10px;
    top: 0px;
	z-index: 9;
    display: flex;
}
.listing-close-popup:hover,
.listing-close-popup:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
.span-listing-open-popup{
	text-align: right;
}
.span-listing-open-popup .listing-open-popup {
    color: currentColor;
    text-decoration: underline;
}
@media screen and (max-width: 992px) {    
    .custom-search-form .epl-search--content {
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.5s ease-out, padding 0.5s ease-out;
    }
    .custom-search-form .epl-search--content.open {
        max-height: 999px; /* Adjust this to fit your content */
        padding: 0px 10px;
        margin-bottom: 20px;
    }
}
@media screen and (max-width: 767px) {    
    .epl-search-toggle {
        margin-bottom: 20px;
    }
}
